Skip to main content

Remove Project Region (V2)

This operation removes a region from a specified project.

DELETE/v2/projects/{projectId}/regions/{regionId}
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
projectIdstringpathrequired

The ID of the project from which to remove the region.

Example Value: proj-xxxxxxxxxxxxxxxxxxx
regionIdstringpathrequired

The ID of the region to remove from the project.

Example Value: aws-us-west-2
bash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xxxxxxxxxxxxxxxxxxx"
export regionId="aws-us-west-2"

curl --request DELETE \
--url "${BASE_URL}/v2/projects/${projectId}/regions/${regionId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Returns the region IDs that remain bound to the project.

A success response.

codeinteger

Response code.

Example Value: 0
dataarray

The region IDs that remain bound to the project.

[]datastring
(To be added soon)

A failure response.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": [
"aws-us-east-1"
]
}
Ctrl I